Subject: Re: bug#8439: [PATCH] ffap.el -- detect paths with spaces (v2)

From: Yigal Hochberg <[email-masked]>
Date: Fri, 19 Oct 2012 18:36:48 -0400 (EDT)

Eli, Andrew:

What Jari did is an excellent solution (increment cheeking if file exists).
From a user point of view it is very powerful and useful.

Marking a region is trivial but way too costly for me. I want to be one keystroke 
away from getting this file. On Windows I use these type of paths:

c:/Program Files/Open Text Evaluation Media/Open Text Exceed 14 x86/Program Files/Hummingbird/Connectivity/14.00/Default User/PerUser Settings.ini
c:\Program Files\Open Text Evaluation Media\Open Text Exceed 14 x86\Program Files\Hummingbird\Connectivity\14.00\Default User\PerUser Settings.ini

c:/Program Files/Open Text Evaluation Media/Open Text Exceed 14 x86/Program Files/Hummingbird/
c:\Program Files\Open Text Evaluation Media\Open Text Exceed 14 x86\Program Files\Hummingbird\

With Jari solution I can get to the file/dir in one keystroke.
I think that this is the power of emacs. No?

Thanks,

Yigal

On Fri, Oct 19, 2012 at 6:23 PM, Eli Zaretskii <[email-masked]> wrote:
>> Date: Sat, 20 Oct 2012 00:47:55 +0300
>> From: "Andrew W. Nosenko" <[email-masked]>
>> Cc: Jari Aalto <[email-masked]>, [email-masked], [email-masked]
>> 
>> >>   2. The "path skipping" is based on finding longest distance:
>> >>
>> >>      - from first "drive letter", "/" or "\"
>> >>      - until last "/", "\" followed by last non-matching-char-not-usually-found-in-file-names
>> >
>> > What will this do to text such as the one below?
>> >
>> >  C:\emacs\bin\prog1.exe on Windows or /usr/bin/prog1 on Unix.
>> 
>> Eli, excuse me very much, but you cheating.
>
>Actually, I had this weird idea that maybe the suggested heuristics
>could be improved.  Now I'm sorry that I have spoken.
>